# std::error_code::category

From cppreference.com
< cpp‎ | error‎ | error code

const std::error_category & category() const noexcept; |  | (since C++11)

Returns the error category of the error value.

### Parameters

(none)

### Return value

The error category of the error value.

### See also

value | obtains the value of the error_code (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/category&oldid=93090"